#ifndef CPPCADES_CP_EKU_OBJECT_H_
#define CPPCADES_CP_EKU_OBJECT_H_

#include "cppcades.h"

namespace CryptoPro {
namespace PKI {
namespace CAdES {

class CPPCadesCPEKUObject
{
public:
    CPPCadesCPEKUObject();
    ~CPPCadesCPEKUObject();

    HRESULT get_Name(CAPICOM_EKU *pVal);
    HRESULT put_Name(CAPICOM_EKU pVal);
    HRESULT get_OID(CAtlStringA& pVal);
    HRESULT put_OID(CAtlStringA pVal);

private:
    DISALLOW_COPY_AND_ASSIGN(CPPCadesCPEKUObject);

    CAtlStringA m_OID;
};
} /* namespace CAdES */
} /* namespace PKI */
} /* namespace CryptoPro */

#endif // CPPCADES_CP_EKU_OBJECT_H_

